% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/srcImpulseDE2_computeNormConst.R
\name{computeSizeFactors}
\alias{computeSizeFactors}
\title{Compute a size factor for each sample}
\usage{
computeSizeFactors(matCountDataProc)
}
\arguments{
\item{matCountDataProc}{(matrix genes x samples)
Read count data.}
}
\value{
vecSizeFactors (numeric vector number of samples) 
   Model scaling factors for each sample which take
   sequencing depth into account (size factors).
}
\description{
This function computes size factors for each sample
in the dataset and expands them to a matrix of the size
of the dataset.
Size factors scale the negative binomial likelihood
model of a gene to the sequencing depth of each sample.
Note that size factors on bulk and single-cell data are 
computed differently: Median ratio of data to geometric mean
for bul data and normalised relative sequencing depth for
single-cell data.
}
\seealso{
Called by \link{computeNormConst}.
}
\author{
David Sebastian Fischer
}
